package com.aircraft.modules.system.service;

import com.aircraft.modules.system.domain.CnCustomer;
import com.aircraft.utils.PageResult;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author cli
 * @since 2025-07-09
 */
public interface CnCustomerService extends IService<CnCustomer> {

    /**
     * 条件查询
     * @param example
     * @return
     */
    List<CnCustomer> list(CnCustomer example);

    /**
     * 分页查询
     * @param example
     * @param page
     * @return
     */
    PageResult<CnCustomer> page(CnCustomer example, IPage page);

    /**
     * 电话查询客户
     * @param phone
     * @return
     */
    CnCustomer findByPhone(String phone);

    CnCustomer findByUserName(String username);

    /**
     * 修改密码
     * @param username 用户名
     * @param encryptPassword 密码
     */
    void updatePass(String username, String encryptPassword);
}
